Improving Test Reliability with Capybara Assertions

2023-09-24 17:38 - Takashi Kato

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

According to Capybara's documentation, Capybara will automatically wait until the HTML condition is met if you use the assertions

provided by Capybara.

The current Redmine system test includes a section that is sometimes unreliable, known as a "flaky" part, which may or may not

succeed during runtime.

By giving preference to the use of Capybara's assertions, it is possible to mitigate the test's flakiness.

Associated revisions

Revision 22372 - 2023-10-24 21:06 - Marius BĂLTEANU

Use assert_selector which automatically waits until the HTML condition is met (#39109).

Patch by Takashi Kato.

History

#1 - 2023-10-24 21:07 - Marius BĂLTEANU

- Tracker changed from Defect to Patch

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Target version set to 5.1.0

Committed, thanks!
